package MpmasTPPenaltyObject;
use strict;
use warnings;
use Exporter;
use Storable qw(dclone);
use Data::Dumper;
use MpmasQLModelElementAbstract;
use CtUtilities qw(is_in_list);

our @ISA = qw(MpmasQLModelElementAbstract);

##class variables

sub defaultclass {
	"penalty"
}
sub list_of_default_fields { 
	my @array = qw( );
	return \@array;
}
sub list_of_attribute_fields{
	my @array = qw(othermilp othermilp_subelements name con act delay penalized_activity);
	return \@array;
}
sub list_of_attribute_stubs {
	my @array = qw();
	return \@array;
}
#instance methods

